Error
A valid request URL is required to generate request examples{
"id": "<string>",
"externalCode": "<string>",
"typeCode": 123,
"author": {
"id": "<string>",
"name": "<string>",
"surname": "<string>",
"email": "<string>"
},
"customerId": "<string>",
"customerCpfCnpj": "<string>",
"subject": "<string>",
"description": "<string>",
"customData": {
"caseDevolution": {
"devolutionInvoiceNumber": "<string>",
"trackingCode": "<string>",
"customData": {},
"caseDevolutionInvoices": [
{
"id": "<string>",
"fileUrl": "<string>"
}
]
},
"caseProducts": [
{
"id": "<string>",
"devolutionInfo": {
"defectCode": 123,
"reasonCode": 123,
"invoiceNumber": "<string>",
"invoiceEmissionDate": "2023-11-07T05:31:56Z",
"soldToConsumer": true,
"consumerSale": {
"customerName": "<string>",
"cpf": "<string>",
"purchaseDate": "2023-11-07T05:31:56Z",
"orderNumber": "<string>"
}
},
"unitValue": 123,
"quantity": 123,
"productCode": "<string>",
"productColorCode": "<string>",
"productSize": "<string>",
"customData": {},
"productPhotos": [
{
"id": "<string>",
"imageUrl": "<string>",
"type": "IMAGE | VIDEO"
}
]
}
]
},
"caseType": {
"code": 123,
"name": "<string>"
},
"status": "<string>",
"history": [
{
"statusBase": "new",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
}casos
get case by externalCode
GET
/
v1
/
cases
/
by
/
externalCode
/
{externalCode}
Error
A valid request URL is required to generate request examples{
"id": "<string>",
"externalCode": "<string>",
"typeCode": 123,
"author": {
"id": "<string>",
"name": "<string>",
"surname": "<string>",
"email": "<string>"
},
"customerId": "<string>",
"customerCpfCnpj": "<string>",
"subject": "<string>",
"description": "<string>",
"customData": {
"caseDevolution": {
"devolutionInvoiceNumber": "<string>",
"trackingCode": "<string>",
"customData": {},
"caseDevolutionInvoices": [
{
"id": "<string>",
"fileUrl": "<string>"
}
]
},
"caseProducts": [
{
"id": "<string>",
"devolutionInfo": {
"defectCode": 123,
"reasonCode": 123,
"invoiceNumber": "<string>",
"invoiceEmissionDate": "2023-11-07T05:31:56Z",
"soldToConsumer": true,
"consumerSale": {
"customerName": "<string>",
"cpf": "<string>",
"purchaseDate": "2023-11-07T05:31:56Z",
"orderNumber": "<string>"
}
},
"unitValue": 123,
"quantity": 123,
"productCode": "<string>",
"productColorCode": "<string>",
"productSize": "<string>",
"customData": {},
"productPhotos": [
{
"id": "<string>",
"imageUrl": "<string>",
"type": "IMAGE | VIDEO"
}
]
}
]
},
"caseType": {
"code": 123,
"name": "<string>"
},
"status": "<string>",
"history": [
{
"statusBase": "new",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
]
}Authorizations
unique identifier access key. each brand has it own unique key.
Path Parameters
Response
get case by externalCode
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
